Ohraimeur - Bogue #232

Temps incorrecte sous Linux avec python 2.6
10/02/2009 12:45 AM - vincent.mbg

Status: Résolu

Priority: Bas

Assignee: damien_mathieu
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

10/02/2009

10%
0.00 hour
0.00 hour

Description

Testé sous Fedora 11 avec un AMD64, le temps d'exécution d'une requéte est toujours égale a zéro !!!

La fonction clock ne remplit pas son réle, je ne sais pas pourquoi :

>>> import time
>>> time.clock()
0.01
>>> time.clock()
0.01

History

#1 - 10/02/2009 09:49 AM - damien_mathieu
- Status changed from Nouveau to Commentaire
- Assignee set to damien_mathieu

- % Done changed from 0 to 10

Testé sous Mandriva 2008 spring, le temps de la requéte est bien égale a zéro, pas de bug rencontré.
#2 - 10/02/2009 11:33 AM - vincent.mbg

from time import time, clock

t1 = time()
11.5/7 # Operation
t2 = time()

print( "Avec time : %f seconds" % (t2-t1))

t1 = clock()
11.5/ 7 # Operation
t2 = clock()

print( "Avec clock : %f seconds" % (12 -11))
input()
Sous Linux avec 2.6 ce code Affiche :

1. Avec time : 0.000006 seconds
2. Avec clock : 0.000000 seconds

Sous Windows avec python 3.1 et la 2.6 ce code Affiche :

1. Avec time : 0.000000 seconds.
2. Avec clock : 0.000004 seconds.

Le module time n'utilise pas les méme fonctions du systeme quant-il est

sous Unix ou Win32 Il vas falloir faire une versions Linux et une version Windows.

#3 - 11/01/2009 11:07 AM - vincent.mbg

- Status changed from Commentaire to Résolu

Résolue par la création de la version linux.

#4 - 01/30/2010 10:31 PM - vincent.mbg
- Project changed from MBG SQLite to Ohraimeur
